org.apache.fontbox.cff

## Class Type1FontUtil

- java.lang.Object
- - org.apache.fontbox.cff.Type1FontUtil

Deprecated.
This class isn't used and will be removed in 4.0.0.

    @Deprecated
    public final class Type1FontUtil
    extends Object

This class contains some helper methods handling Type1-Fonts.

Author:
  Villu Ruusmann

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static byte[]` `charstringDecrypt(byte[] buffer, int n)` Deprecated. Decrypt charstring.
`static byte[]` `charstringEncrypt(byte[] buffer, int n)` Deprecated. Encrypt charstring.
`static byte[]` `eexecDecrypt(byte[] buffer)` Deprecated. Decrypt eexec.
`static byte[]` `eexecEncrypt(byte[] buffer)` Deprecated. Encrypt eexec.
`static byte[]` `hexDecode(String string)` Deprecated. Converts a string representing a hex value into a byte array.
`static String` `hexEncode(byte[] bytes)` Deprecated. Converts a byte-array into a string with the corresponding hex value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hexEncode

    public static String hexEncode(byte[] bytes)

Deprecated.
Converts a byte-array into a string with the corresponding hex value.

Parameters:
  `bytes` - the byte array
Returns:
  the string with the hex value

#### hexDecode

    public static byte[] hexDecode(String string)

Deprecated.
Converts a string representing a hex value into a byte array.

Parameters:
  `string` - the string representing the hex value
Returns:
  the hex value as byte array

#### eexecEncrypt

    public static byte[] eexecEncrypt(byte[] buffer)

Deprecated.
Encrypt eexec.

Parameters:
  `buffer` - the given data
Returns:
  the encrypted data

#### charstringEncrypt

    public static byte[] charstringEncrypt(byte[] buffer,
                                           int n)

Deprecated.
Encrypt charstring.

Parameters:
  `buffer` - the given data
  `n` - blocksize?
Returns:
  the encrypted data

#### eexecDecrypt

    public static byte[] eexecDecrypt(byte[] buffer)

Deprecated.
Decrypt eexec.

Parameters:
  `buffer` - the given encrypted data
Returns:
  the decrypted data

#### charstringDecrypt

    public static byte[] charstringDecrypt(byte[] buffer,
                                           int n)

Deprecated.
Decrypt charstring.

Parameters:
  `buffer` - the given encrypted data
  `n` - blocksize?
Returns:
  the decrypted data